.page[name='profile'] {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
}
.page[name='profile'] > .signInUpOverlay {
    position: fixed;
    top: 212px;
    right: 0;
    left: 0;
    z-index: 70;
    animation: opacity 0.4s ease;
    display: none;
}
.page[name='profile'] > .signInUpOverlay.active {
    opacity: 1;
    display: block;
}
.page[name='profile'] > .header {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1;
    height: 64px;
}
.page[name='profile'] > .header > .side:first-child > .button {
    padding: 8px;
    border-radius: 12px;
    margin-top: 13.5px;
    font-weight: 500;
    /* enabled temporarily */
    display: none;
}
.page[name='profile'] > .header > .side:first-child > .button > .location {
    width: 16px;
    height: 16px;
    display: inline-block;
    vertical-align: middle;
}
.page[name='profile'] > .header > .side:first-child > .button > .arrow {
    width: 12px;
    height: 12px;
    display: inline-block;
    vertical-align: middle;
}
.page[name='profile'] > .header > .side:last-child > .button {
    border-radius: 16px;
    padding: 10px;
    margin: 10px;
}
.page[name='profile'] > .header > .side:last-child > .button > img {
    width: 24px;
    height: 24px;
    display: block;
}
.page[name='profile'] > .content {
    top: 0;
}
.page[name='profile'] > .content > .cover {
    height: 285px;
    background-size: cover;
    background-repeat: no-repeat;
    background-image: url('/images/clientCover.jpg');
}
.page[name='profile'] > .content > .holder {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 71px;
    left: 0;
}
.page[name='profile'] > .content > .holder > .gradient {
    position: absolute;
    top: 175px;
    right: 0;
    left: 0;
    height: 161px;
}
.page[name='profile'] > .content > .holder > .container {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}
.page[name='profile'] > .content > .holder > .container > .info {
    margin-top: 92px;
    position: relative;
    overflow: hidden;
}
.page[name='profile'] > .content > .holder > .container > .info > .imageWrapper {
    position: relative;
    width: 72px;
    height: 72px;
    border-radius: 50%;
    margin-bottom: 16px;
}
.page[name='profile'] > .content > .holder > .container > .info > .imageWrapper > img {
    position: absolute;
    object-fit: cover;
    border-radius: 50%;
    transition: opacity 0.6s ease;
    opacity: 0;
}
.page[name='profile'] > .content > .holder > .container > .info > .imageWrapper > img[src='/images/profileGrey.svg'] {
    top: 50%;
    width: 35%;
    height: 35%;
    transform: translate(-50%, -50%);
}
.page[name='profile'] > .content > .holder > .container > .info > .imageWrapper > img:not([src='/images/profileGrey.svg']) {
    top: 0;
    width: 100%;
    height: 100%;
}
.page[name='profile'] > .content > .holder > .container > .info > .badge {
    position: absolute;
    top: 37px;
}
.page[name='profile'] > .content > .holder > .container > .info > .badge > img {
    height: 40px;
    display: block;
    opacity: 0;
}
.page[name='profile'] > .content > .holder > .container > .info > .badge > .level {
    position: absolute;
    top: 9px;
    width: 40px;
    font-size: 14px;
    font-weight: 600;
    text-align: center;
}
.page[name='profile'] > .content > .holder > .container > .info > .user > .fullName {
    font-size: 18px;
    font-weight: 700;
    word-break: break-all;
}
.page[name='profile'] > .content > .holder > .container > .info > .user > .email {
    font-weight: 600;
}
.page[name='profile'] > .content > .holder > .container > .motto {
    padding-right: 24px;
    padding-left: 24px;
    font-size: 14px;
    font-weight: 400;
    word-break: break-all;
    margin-top: 8px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    overflow-y: auto;
    padding-bottom: 20px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .level {
    border-radius: 12px;
    padding: 16px;
    margin-right: 24px;
    margin-bottom: 24px;
    margin-left: 24px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .level > .info {
    margin-bottom: 12px;
    overflow: hidden;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .level > .info > .side:first-child {
    font-size: 12px;
    font-weight: 600;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .level > .info > .side:last-child > .circle {
    width: 6px;
    height: 6px;
    border-radius: 50%;
    display: inline-block;
    vertical-align: middle;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .level > .info > .side:last-child > .info {
    font-size: 12px;
    display: inline-block;
    vertical-align: middle;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .level > .progress {
    width: 100%;
    height: 8px;
    border-radius: 100px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .level > .progress > div {
    border-radius: 1000px;
    width: 0;
    height: 8px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes {
    margin-right: 24px;
    margin-bottom: 12px;
    margin-left: 24px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box {
    width: calc(50% - 6px);
    display: inline-block;
    vertical-align: middle;
    border-radius: 12px;
    margin-bottom: 12px;
    padding: 16px;
    height: 105px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box:not([key='chart']) > .top {
    margin-bottom: 12px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box:not([key='chart']) > .top > .imageWrapper {
    display: inline-block;
    vertical-align: middle;
    padding: 8px;
    border-radius: 8px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box:not([key='chart']) > .top > .imageWrapper > img {
    width: 16px;
    height: 16px;
    display: block;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box:not([key='chart']) > .top > .text {
    display: inline-block;
    vertical-align: middle;
    font-size: 12px;
    font-weight: 500;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box:not([key='chart']):not([key='distanceCovered']) > .top > .text {
    width: calc(100% - 44px);
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box[key='distanceCovered'] > .top > .text {
    width: calc(100% - 72px);
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box:not([key='chart']) > .top > .button {
    display: inline-block;
    vertical-align: middle;
    padding: 4px;
    border-radius: 8px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box:not([key='chart']) > .top > .button > img {
    width: 16px;
    height: 16px;
    display: block;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box:not([key='chart']) > .bottom {
    font-size: 18px;
    font-weight: 700;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box[key='chart'] > .top {
    margin-bottom: 8px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box[key='chart'] > .top > .text {
    font-size: 11px;
    font-weight: 500;
    text-align: center;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box[key='chart'] > .bottom > .text {
    text-align: center;
    padding-top: 12px;
    font-weight: 700;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box[key='chart'] > .bottom > .ranking {
    display: inline-block;
    vertical-align: middle;
    width: calc(33% - 5.5px);
    text-align: center;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box[key='chart'] > .bottom > .ranking > .value {
    padding: 3px;
    border-radius: 6px;
    width: 24px;
    margin-right: auto;
    margin-bottom: 4px;
    margin-left: auto;
    font-weight: 500;
    font-size: 12px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box[key='chart'] > .bottom > .ranking > .text {
    font-size: 8px;
    font-weight: 500;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .boxes > .box[key='speed'] > .top > .info {
    display: inline-block;
    vertical-align: middle;
    font-size: 10px;
    font-weight: 500;
    width: calc(100% - 72px);
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .statistics {
    padding: 16px;
    border-radius: 16px;
    margin-right: 24px;
    margin-bottom: 24px;
    margin-left: 24px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .statistics > .top {
    margin-bottom: 16px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .statistics > .top > .imageWrapper,
.page[name='profile'] > .content > .holder > .container > .wrapper > .statistics > .top > .pist {
    display: inline-block;
    vertical-align: middle;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .statistics > .top > .imageWrapper {
    width: 36px;
    height: 36px;
    border-radius: 8px;
    padding: 8px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .statistics > .top > .imageWrapper > img {
    width: 100%;
    height: 100%;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .statistics > .top > .pist > .title {
    font-weight: 700;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .statistics > .top > .pist > .pistName {
    font-weight: 500;
    font-size: 12px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .statistics > .bottom > div {
    width: calc(33% - 2px);
    display: inline-block;
    vertical-align: middle;
    text-align: center;
    padding: 4px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .statistics > .bottom > div > .value {
    margin-bottom: 8px;
    font-size: 18px;
    font-weight: 700;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .statistics > .bottom > div > .label {
    font-size: 10px;
    font-weight: 500;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .button {
    border-radius: 14px;
    padding: 16px 20px;
    margin-right: 24px;
    margin-left: 24px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .button > .flag {
    width: calc(100% - 40px);
    overflow: hidden;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .button > .flag > .imageWrapper {
    width: 42px;
    height: 42px;
    border-radius: 10px;
    padding: 11px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .button > .flag > .imageWrapper > img {
    width: 20px;
    height: 20px;
    display: block;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .button > .flag > .title {
    font-size: 18px;
    font-weight: 700;
    width: calc(100% - 50px);
    height: 28px;
    margin-top: 7px;
}
.page[name='profile'] > .content > .holder > .container > .wrapper > .button > .arrow {
    width: 24px;
    height: 24px;
    margin-top: 9px;
}

#panel[ids='levelUp'] {
    max-width: 460px;
    min-width: 340px;
    padding: 16px;
    text-align: center;
    border-radius: 20px;
    top: 50%;
    bottom: unset;
}
#panel[ids='levelUp'] > .close {
    padding: 9px;
    border-radius: 50%;
    background-size: 10px;
    background-position: center;
    background-repeat: no-repeat;
    width: 26px;
    height: 26px;
}
#panel[ids='levelUp'] > .content > .title {
    font-size: 42px;
    font-weight: 700;
    margin-top: 30px;
    margin-bottom: 10px;
}
#panel[ids='levelUp'] > .content > .level {
    position: relative;
    margin-bottom: 24px;
    display: inline-block;
}
#panel[ids='levelUp'] > .content > .level > .count {
    width: 30px;
    height: 48px;
    font-size: 32px;
    font-weight: 600;
    position: absolute;
    top: 29px;
}
#panel[ids='levelUp'] > .content > .level > img {
    width: 99px;
    height: 110px;
    display: block;
}
#panel[ids='levelUp'] > .content > .message {
    border-radius: 12px;
    padding: 16px;
    margin-bottom: 16px;
}
#panel[ids='levelUp'] > .content > .message > .title {
    font-size: 16px;
    font-weight: 700;
    margin-right: 6px;
    margin-left: 6px;
}
#panel[ids='levelUp'] > .content > .message > .description {
    font-size: 12px;
    font-weight: 500;
    margin-top: 8px;
}
#panel[ids='levelUp'] > .content > .button {
    border-radius: 12px;
    padding: 24px;
    background-size: contain;
}
#panel[ids='levelUp'] > .content > .button > span {
    font-size: 16px;
    font-weight: 600;
    margin-right: 6px;
    margin-left: 6px;
    vertical-align: middle;
}
#panel[ids='levelUp'] > .content > .button > img {
    width: 18px;
    height: 18px;
    vertical-align: middle;
}
#panel[ids='signInUpProfile'] {
    border-radius: 16px;
    max-width: 460px;
    min-width: 340px;
    padding: 16px;
    top: calc(50% + 65px);
    bottom: unset;
}
#panel[ids='signInUpProfile'] > .content > .title {
    margin-bottom: 10px;
}
#panel[ids='signInUpProfile'] > .content > .title > img {
    width: 20px;
    vertical-align: middle;
    display: inline-block;
}
#panel[ids='signInUpProfile'] > .content > .title > div {
    font-weight: 600;
    font-size: 15px;
    display: inline-block;
    vertical-align: middle;
}
#panel[ids='signInUpProfile'] > .content > .description {
    font-size: 13px;
    font-weight: 500;
    margin-bottom: 16px;
}
#panel[ids='signInUpProfile'] > .content > .button {
    border-radius: 8px;
    padding: 12px;
    width: 100%;
    text-align: center;
    font-size: 16px;
    font-weight: 600;
}

@media (max-width: 799px) {
    .page[name='profile'] {
        bottom: 71px;
    }
}
@media (min-width: 800px) {
    .page[name='profile'] {
        bottom: 0;
    }
}